Bug 62261 - Applet class not found error
Applet class not found error
Product: Red Hat Public Beta
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-03-28 16:42 EST by Steve Wardell
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-02 12:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Wardell 2002-03-28 16:42:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.9+)

Description of problem:
This is a sample page to load an applet. It gives a class not defined error.
This works on newer nightly builds of Mozilla (not sure when it started working)
and also 0.9.9 on other platforms.

java.lang.NoClassDefFoundError: d
	at java.lang.Class.newInstance0(Native Method)
	at java.lang.Class.newInstance(Class.java:237)
	at sun.applet.AppletPanel.createApplet(AppletPanel.java:586)
	at sun.plugin.AppletViewer.createApplet(AppletViewer.java:1316)
	at sun.applet.AppletPanel.runLoader(AppletPanel.java:515)
	at sun.applet.AppletPanel.run(AppletPanel.java:293)
	at sun.plugin.navig.motif.MotifAppletViewer.maf_run(MotifAppletViewer.java:131)
	at sun.plugin.navig.motif.MotifAppletViewer.run(MotifAppletViewer.java:127)
	at java.lang.Thread.run(Thread.java:484)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Load http://www.stosh.org/temp/Applet.html with JAVA plugin installed (Sun 1.3.1)


Actual Results:  Applet doesn't load and gives NoClassDefFoundError

Expected Results:  Applet loads and then says your session has timed out (applet
requires login information, so that's why it says session timed out. That's
expected result with those parameters)

Additional info:

http://bugzilla.mozilla.org/show_bug.cgi?id=133637 is Mozilla Bugzilla ID, but
unable to pin down when it got fixed in Mozilla, but 0.9.9 is broken.
Comment 1 Christopher Blizzard 2002-08-29 17:58:15 EDT
This is still present in 1.0.1 and I've re-opened the upstream bug.  If it gets
fixed there, I'll pull it with that next release.
Comment 2 Steve Wardell 2002-08-29 18:36:46 EDT
Blizzard, I mentioned this in the upstream bug, putting it in here too:

Blizzard: This downloads an applet from our company's servers and things had
changed since. I've updated the test page, so please re-test.

The original problem was not a result of this, but we moved things around like
April or May (software upgrade) and that caused additional problems. So re-test
and see if you still have problems now.
Comment 3 Christopher Blizzard 2002-08-30 14:03:42 EDT
I did try it yesterday and still had the problem.  Like I said, though, if it
gets fixed upstream we'll pull it in.
Comment 4 Steve Wardell 2002-08-30 14:19:52 EDT
The test was broken from early summer until I fixed the test yesterday. So
unless you tested it after my post, you should retry it as I fixed the testcase
right when I posted.
Comment 5 Christopher Blizzard 2002-09-02 12:38:45 EDT
Seems to be working now, although the "Click here to reconnect" link doesn't work.
Comment 6 Steve Wardell 2002-09-02 12:49:26 EDT
It's not supposed to as I just pulled a copy of the page from our application.
It's not meant to be used in the testcase stand-alone that it was provided for
this testcase and thus not fully functional.
Comment 7 Steve Wardell 2002-09-02 12:49:36 EDT
It's not supposed to as I just pulled a copy of the page from our application.
It's not meant to be used in the testcase stand-alone that it was provided for
this testcase and thus not fully functional.

Note You need to log in before you can comment on or make changes to this bug.